Open Lighting Architecture: ola::plugin::spi::FakeSPIBackend Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::spi::FakeSPIBackend Class Reference

## Detailed Description

A fake backend used for testing. If we had gmock this would be much easier...

Inheritance diagram for ola::plugin::spi::FakeSPIBackend:

## Public Member Functions
| FakeSPIBackend (unsigned int outputs)
uint8_t * | Checkout (uint8_t output, unsigned int length)
uint8_t * | Checkout (uint8_t output, unsigned int length, unsigned int latch_bytes)
void | Commit (uint8_t output)
const uint8_t * | GetData (uint8_t output, unsigned int *length)
std::string | DevicePath () const
bool | Init ()
unsigned int | Writes (uint8_t output) const

## Additional Inherited Members
Static Protected Attributes inherited from ola::plugin::spi::SPIBackendInterface
static const char | SPI_DROP_VAR [] = "spi-drops"
static const char | SPI_DROP_VAR_KEY [] = "device"

## Member Function Documentation

## ◆ Checkout() [1/2]

uint8_t * ola::plugin::spi::FakeSPIBackend::Checkout | ( | uint8_t | output,
|  | unsigned int | length )
| inlinevirtual

Implements ola::plugin::spi::SPIBackendInterface.

## ◆ Checkout() [2/2]

uint8_t * ola::plugin::spi::FakeSPIBackend::Checkout | ( | uint8_t | output,
|  | unsigned int | length,
|  | unsigned int | latch_bytes )
| virtual

Implements ola::plugin::spi::SPIBackendInterface.

## ◆ Commit()

void ola::plugin::spi::FakeSPIBackend::Commit | ( | uint8_t | output | ) |
| virtual

Implements ola::plugin::spi::SPIBackendInterface.

## ◆ DevicePath()

std::string ola::plugin::spi::FakeSPIBackend::DevicePath | ( |  | ) | const
| inlinevirtual

Implements ola::plugin::spi::SPIBackendInterface.

## ◆ Init()

bool ola::plugin::spi::FakeSPIBackend::Init | ( |  | ) |
| inlinevirtual

Implements ola::plugin::spi::SPIBackendInterface.

The documentation for this class was generated from the following files:

- plugins/spi/SPIBackend.h
- plugins/spi/SPIBackend.cpp